Bug 806651 - i915 video corruption and KDE crash
i915 video corruption and KDE crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 14:19 EDT by Patrick Boutilier
Modified: 2013-01-16 06:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 06:55:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /sys/kernel/debug/dri/0/i915_error_state (2.05 MB, application/octet-stream)
2012-04-03 17:38 EDT, Patrick Boutilier
no flags Details

  None (edit)
Description Patrick Boutilier 2012-03-25 14:19:55 EDT
Description of problem:


About once a day after leaving laptop unattended when I return the KDE plasma/kwin are gone and I don't have usable DE.


Version-Release number of selected component (if applicable):

kdelibs-4.8.1-2.fc16.x86_64
xorg-x11-drv-intel-2.17.0-8.fc16.x86_64
mesa-dri-drivers-7.11.2-3.fc16.x86_64
mesa-dri-filesystem-7.11.2-3.fc16.x86_64
mesa-libGLU-7.11.2-3.fc16.x86_64
mesa-libGL-7.11.2-3.fc16.x86_64
xorg-x11-server-Xorg-1.11.4-2.fc16.x86_64

How reproducible:

Happens around once a day

Steps to Reproduce:
1. Leave laptop overnight or for a few hours
2.
3.
  
Actual results:

Most times when returning to laptop plasma/kwin are gone/corrupted.

Expected results:

Working KDE DE.

Additional info:

From /var/log/messages:

Mar 25 10:36:12 bartdl kernel: [42953.363064] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:36:12 bartdl kernel: [42953.363086] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Mar 25 10:36:12 bartdl kernel: [42953.370294] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4061614 at -498316212, next 4061622)
Mar 25 10:36:38 bartdl kernel: [42979.462028] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:36:38 bartdl kernel: [42979.462127] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4061777 at 0, next 4061785)
Mar 25 10:36:49 bartdl kernel: [42989.770664] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:36:49 bartdl kernel: [42989.770764] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4061821 at -498316212, next 4061829)
Mar 25 10:37:00 bartdl kernel: [43000.766023] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:37:00 bartdl kernel: [43000.766085] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4061868 at -498316212, next 4061876)
Mar 25 10:37:06 bartdl kernel: [43007.257822] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:37:06 bartdl kernel: [43007.257921] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4061893 at 0, next 4061901)
Mar 25 10:38:34 bartdl kernel: [43095.216544] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:38:34 bartdl kernel: [43095.216604] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4064997 at 0, next 4065007)
Mar 25 10:38:50 bartdl kernel: [43110.515806] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:38:50 bartdl kernel: [43110.515900] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4065070 at 0, next 4065078)
Mar 25 10:38:57 bartdl kernel: [43117.826119] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:38:57 bartdl kernel: [43117.826215] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4065104 at -498316212, next 4065109)
Mar 25 10:40:38 bartdl kernel: [43218.868213] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:40:38 bartdl kernel: [43218.868240] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069045 at 0, next 4069051)
Mar 25 10:40:45 bartdl kernel: [43225.675444] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:40:45 bartdl kernel: [43225.675539] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069062 at 0, next 4069070)
Mar 25 10:40:58 bartdl kernel: [43238.982449] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:40:58 bartdl kernel: [43238.982545] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069132 at 0, next 4069140)
Mar 25 10:41:05 bartdl kernel: [43245.482248] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:41:05 bartdl kernel: [43245.482317] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069157 at 0, next 4069165)
Mar 25 10:41:11 bartdl kernel: [43251.790375] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:41:11 bartdl kernel: [43251.790429] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069174 at 0, next 4069184)
Mar 25 10:41:18 bartdl kernel: [43258.098522] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:41:18 bartdl kernel: [43258.098583] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069204 at 0, next 4069207)
Mar 25 10:41:24 bartdl kernel: [43264.402688] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:41:24 bartdl kernel: [43264.402783] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069217 at 0, next 4069223)
Mar 25 10:41:26 bartdl kernel: [43266.203304] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Mar 25 10:41:26 bartdl kernel: [43266.203396] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 4069233 at 0, next 4069239)
Mar 25 10:41:26 bartdl kernel: [43266.205798] [drm:i915_reset] *ERROR* GPU hanging too fast, declaring wedged!
Mar 25 10:41:26 bartdl kernel: [43266.205808] [drm:i915_reset] *ERROR* Failed to reset chip.
Comment 1 Patrick Boutilier 2012-04-03 17:38:58 EDT
Created attachment 574993 [details]
Contents of /sys/kernel/debug/dri/0/i915_error_state
Comment 2 Fedora End Of Life 2013-01-16 05:03:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Patrick Boutilier 2013-01-16 06:55:37 EST
Problem does not occur in Fedora 17 or Fedora 18.

Note You need to log in before you can comment on or make changes to this bug.